gr::satellites::manchester_sync_impl< T > Class Template Reference

`#include <manchester_sync_impl.h>`

Inheritance diagram for gr::satellites::manchester_sync_impl< T >:

## Public Member Functions

| manchester_sync_impl (int block_size)
| ~manchester_sync_impl () override
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items) override

## Additional Inherited Members

Public Types inherited from gr::satellites::manchester_sync< T >
typedef std::shared_ptr< manchester_sync< T > > | sptr
Static Public Member Functions inherited from gr::satellites::manchester_sync< T >
static sptr | make (int block_size)
| Constructs a Manchester Sync block.

## Constructor & Destructor Documentation

## manchester_sync_impl()

template<class T >

gr::satellites::manchester_sync_impl< T >::manchester_sync_impl | ( | int | block_size | ) |

## ~manchester_sync_impl()

template<class T >

gr::satellites::manchester_sync_impl< T >::~manchester_sync_impl | ( |  | ) |

override

## Member Function Documentation

## work()

template<class T >

int gr::satellites::manchester_sync_impl< T >::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

override

The documentation for this class was generated from the following file:

- manchester_sync_impl.h